package de.intevation.flys.artifacts.model;

import java.util.ArrayList;
import java.util.List;


public class MapserverStyle {

    public static class Clazz {
        protected String name;
        protected String outlinecolor;
        protected int    size;

        public Clazz(String name) {
            this.name = name;
        }

        public void setOutlineColor(String outlinecolor) {
            this.outlinecolor = outlinecolor;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public String toString() {
            StringBuilder sb = new StringBuilder();
            sb.append("CLASS\n");
            sb.append("NAME \"" + name + "\"\n");
            sb.append("STYLE\n");
            sb.append("SIZE " + String.valueOf(size) + "\n");
            sb.append("OUTLINECOLOR \"" + outlinecolor + "\"\n");
            sb.append("END\n");
            sb.append("END\n");

            return sb.toString();
        }
    } // end of Clazz


    protected List<Clazz> classes;


    public MapserverStyle() {
        classes = new ArrayList<Clazz>();
    }

    public void addClazz(Clazz clazz) {
        if (clazz != null) {
            classes.add(clazz);
        }
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();

        for (Clazz clazz: classes) {
            sb.append(clazz.toString());
        }

        return sb.toString();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
